#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=OFF -DBUILD_INDEXER_SERVICE=OFF

override_dh_auto_test:
	# Disable auto tests at build time
	:

execute_after_dh_auto_install:
	# sadly baloosettings.h includes an internal header,
	# which seems not actually required
	sed -i '/\<fileexcludefilters\.h\>/d' debian/tmp/usr/include/KF5/Baloo/baloo/baloosettings.h
